# This code imports the data from the .txt files stored in the directory "data_txt" into R, formats them and stores them as R objects in the directory "data_R".


datasetnames<-c("adrenal_dahia","bladder_blaveri","bladder_dyrskjot",
                  "bladder_sanchez-carbayo","breast_desmedt","breast_farmer","breast_gruvberger","breast_kreike",
                  "breast_ma_2","breast_minn","breast_perou","breast_sharma","breast_sotiriou","breast_veer",
                  "breast_wang","breast_west","cervical_wong","cns_pomeroy_2","colon_alon","colon_laiho",
                  "colon_lin_1","colon_watanabe","gastric_hippo","glioma_freije","glioma_nutt","glioma_phillips",
                  "glioma_rickman","head_neck_chung","headneck_pyeon_2","leukemia_armstrong","leukemia_bullinger_2",
                  "leukemia_golub","leukemia_gutierrez","leukemia_haslinger","leukemia_wei","leukemia_yagi",
                  "liver_chen","liver_iizuka","liver_ye","lung_barret","lung_beer","lung_bhattacharjee_2","lung_bild",
                  "lung_wigle","lymphoma_alizadeh","lymphoma_booman","lymphoma_rosenwald","lymphoma_shipp",
                  "medulloblastoma_macdonald","melanoma_talantov","mixed_chowdary","mixed_ramaswamy","myeloma_tian",
                  "oral_odonnell","ovarian_gilks","ovarian_jazaeri_3","ovarian_li_and_campbell","ovarian_schwartz",
                  "pancreas_ishikawa","prostate_singh","prostate_tomlins","prostate_true_2","renal_williams",
                  "sarcoma_detwiller","srbct_khan")

for (i in 1:length(datasetnames))
 {
 print(i)
 datasetname<-datasetnames[i]
 dataset<-read.table(file=paste("data_txt/dataset_",datasetname,".txt",sep=""),skip=1,header=FALSE)
 dataset<-t(dataset)
 dataset<-list(X=dataset[,-1],Y=as.factor(dataset[,1]))
 save(dataset, file=paste("data_R/",datasetname,".RData",sep=""))
 }

